dart_notification_center 1.0.0+1

Dart native js
Flutter Android iOS web

A wrapper for the observer pattern for Dart in the style of the iOS Notification Center.

0.0.0 #

  • Initial version, created by Stagehand

0.1.0 #

  • Implemented version, functional.
  • Needs testing

0.1.1 #

  • Knock down version requirement for test

0.1.2 #

  • Much better. Should integrate well now

0.1.3 #

  • Fixed the subscription method, subscriptions should listen properly now

0.2.0 #

  • Callbacks are now handled asynchronously to improve performance

1.0.0 #

  • Some general package improvements.
  • Removed an assertion on posting that was unnecessary, if not counterproductive.
  • Stable for first full version

1.0.0+1 #

  • Fixed the badge to refer to the correct package.
10
likes
110
pub points
89%
popularity

A wrapper for the observer pattern for Dart in the style of the iOS Notification Center.

Homepage

Documentation

API reference

Uploader

flyrboy96@gmail.com

License

MIT (LICENSE)

Dependencies

meta

More

Packages that depend on dart_notification_center